// created by JCOMGen
// from TypeLib at D:\AnysoftJavaCOMAccess\MY_JAVA_TESTS\VB\Refs\JawinTest.dll
// check for latest version at http://www.simtel.net

package JawinTest;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;

public class _sJawinTest extends DispatchPtr {
    static public final GUID proxyIID = new GUID("{2FCC1B87-1C8E-4547-ACB3-70B3B5F7C621}");


    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, _sJawinTest.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    public _sJawinTest() throws COMException {
        super();
    }
    public _sJawinTest(String progid) throws COMException {
        super(progid);
    }
    public _sJawinTest(IUnknown other) throws COMException {
        super(other);
    }
    public _sJawinTest(GUID ClsID) throws COMException {
        super(ClsID);
    }
    public void ShowMsgBox() throws COMException {
        invoke("ShowMsgBox");
    }
    public void ShowMsgBox2() throws COMException {
        invoke("ShowMsgBox2");
    }
    public java.lang.String ReturnString() throws COMException {
        return (java.lang.String) invoke("ReturnString");
    }
    public void ReturnStringArray(ObjectRef  arr) throws COMException {
        invokeN("ReturnStringArray", new Object[]{arr}, 1);
    }
    public void ByRefString(ObjectRef  sValue) throws COMException {
        invokeN("ByRefString", new Object[]{sValue}, 1);
    }
    public void RaiseMyEvent() throws COMException {
        invoke("RaiseMyEvent");
    }
    public void ByRefDate(ObjectRef  dteValue) throws COMException {
        invokeN("ByRefDate", new Object[]{dteValue}, 1);
    }
    public void TestsOptionalVariants() throws COMException {
        invoke("TestsOptionalVariants");
    }
    public void TestsOptionalVariants(java.lang.Object vFirstParam) throws COMException {
        invokeN("TestsOptionalVariants", new Object[]{vFirstParam}, 1);
    }
    public void TestsOptionalVariants(java.lang.Object vFirstParam, java.lang.Object vSecondParam) throws COMException {
        invokeN("TestsOptionalVariants", new Object[]{vFirstParam, vSecondParam}, 2);
    }
    public int LongReturn(ObjectRef  lLongEntryMethod, ObjectRef  lEntryLength, ObjectRef  sDefaultString, DispatchPtr oTitleNoun) throws COMException {
        return ((java.lang.Integer) invokeN("LongReturn", new Object[]{lLongEntryMethod, lEntryLength, sDefaultString, oTitleNoun}, 4)).intValue();
    }
    public void GetObject(ObjectRef  obj) throws COMException {
        invokeN("GetObject", new Object[]{obj}, 1);
    }
    public void CallInside(ObjectRef  obj) throws COMException {
        invokeN("CallInside", new Object[]{obj}, 1);
    }
    public void PassCurrency(java.math.BigInteger dollars) throws COMException {
        invokeN("PassCurrency", new Object[]{dollars}, 1);
    }
    public void GetCurrency(ObjectRef  dollars) throws COMException {
        invokeN("GetCurrency", new Object[]{dollars}, 1);
    }
}
